-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- 호스트: localhost
-- 처리한 시간: 10-05-05 02:51 
-- 서버 버전: 5.1.41
-- PHP 버전: 5.2.12

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- 데이터베이스: `dohn`
--

-- --------------------------------------------------------

--
-- 테이블 구조 `category_tb`
--

CREATE TABLE IF NOT EXISTS `category_tb` (
  `num` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` char(15) NOT NULL,
  `description` char(50) NOT NULL,
  `order` tinyint(4) NOT NULL,
  PRIMARY KEY (`num`),
  KEY `category_user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- 테이블의 덤프 데이터 `category_tb`
--

INSERT INTO `category_tb` (`num`, `user_id`, `description`, `order`) VALUES
(1, 'test', 'Meal', 4),
(2, 'test', 'Transportation', 2),
(3, 'test', 'Entertainment', 3),
(4, 'test', 'Income', 1);

-- --------------------------------------------------------

--
-- 테이블 구조 `member_tb`
--

CREATE TABLE IF NOT EXISTS `member_tb` (
  `user_id` char(15) NOT NULL,
  `password` char(12) NOT NULL,
  `user_mail` varchar(50) NOT NULL,
  `is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `balance` double NOT NULL DEFAULT '0',
  `last_login` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- 테이블의 덤프 데이터 `member_tb`
--

INSERT INTO `member_tb` (`user_id`, `password`, `user_mail`, `is_admin`, `balance`, `last_login`) VALUES
('test', '1234', 'test', 1, 0, '2010-05-05 02:13:53'),
('', '', '', 0, 0, NULL);

-- --------------------------------------------------------

--
-- 테이블 구조 `pattern_tb`
--

CREATE TABLE IF NOT EXISTS `pattern_tb` (
  `num` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` char(15) NOT NULL,
  `category` int(11) NOT NULL,
  `description` char(50) NOT NULL,
  PRIMARY KEY (`num`),
  KEY `pattern_user_id` (`user_id`),
  KEY `pattern_category` (`category`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- 테이블의 덤프 데이터 `pattern_tb`
--

INSERT INTO `pattern_tb` (`num`, `user_id`, `category`, `description`) VALUES
(1, 'test', 4, 'Initialization'),
(2, 'test', 1, 'Beverage'),
(3, 'test', 2, 'Taxi'),
(5, 'test', 4, 'heyhey'),
(6, 'test', 1, 'DeliveryFood'),
(7, 'test', 0, 'Cola'),
(8, 'test', 4, 'Bonus');

-- --------------------------------------------------------

--
-- 테이블 구조 `shortcut_tb`
--

CREATE TABLE IF NOT EXISTS `shortcut_tb` (
  `num` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` char(15) NOT NULL,
  `description` char(50) NOT NULL,
  `amount` double NOT NULL,
  `category` int(11) NOT NULL,
  `order` tinyint(4) NOT NULL,
  `plan_remain` int(11) NOT NULL,
  `plan_total` int(11) NOT NULL,
  PRIMARY KEY (`num`),
  KEY `shortcut_user_id` (`user_id`),
  KEY `shortcut_category` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- 테이블의 덤프 데이터 `shortcut_tb`
--


-- --------------------------------------------------------

--
-- 테이블 구조 `transaction_tb`
--

CREATE TABLE IF NOT EXISTS `transaction_tb` (
  `num` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` char(15) NOT NULL,
  `date` datetime NOT NULL,
  `description` char(50) NOT NULL,
  `amount` double NOT NULL,
  `category` int(11) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  PRIMARY KEY (`num`),
  KEY `transaction_user_id` (`user_id`),
  KEY `transaction_category` (`category`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

--
-- 테이블의 덤프 데이터 `transaction_tb`
--

INSERT INTO `transaction_tb` (`num`, `user_id`, `date`, `description`, `amount`, `category`, `deleted`) VALUES
(1, 'test', '2010-05-02 00:00:00', 'Initialization', 1000000, 4, 0),
(2, 'test', '2010-05-02 00:00:00', 'Beverage', -3000, 1, 0),
(3, 'test', '2010-05-02 00:00:00', 'Taxi', -10000, 2, 0),
(4, 'test', '2010-05-01 04:03:00', 'test', 10, 1, 1),
(5, 'test', '2010-04-02 00:00:00', 'heyhey', 2000000, 4, 1),
(6, 'test', '2010-05-03 00:00:00', 'DeliveryFood', 10000, 1, 0),
(7, 'test', '2010-05-02 00:00:00', 'Cola', 3000, 0, 0),
(8, 'test', '2010-05-05 00:00:00', 'Bonus', 100000, 4, 0);
